#!/bin/sh

set -e

TMPDIR=$(mktemp -d)
trap "rm -rf $TMPDIR" EXIT
cd $TMPDIR

cat <<EOF > test.smt2
(set-logic QF_UFLIA)

(declare-fun a () Int)
(declare-fun b () Int)

(assert (<= a b))
(assert (> (+ a 1) b))
(check-sat)
EOF

cvc5 test.smt2 > output
echo "sat" > expected
diff expected output
